at.chipkarte.client.dbas.soap.exceptions

## Class DbasInvalidParameterExceptionContent

- Object
- - at.chipkarte.client.base.soap.exceptions.BaseExceptionContent
  - - at.chipkarte.client.dbas.soap.exceptions.DbasInvalidParameterExceptionContent

-     public class DbasInvalidParameterExceptionContent
      extends BaseExceptionContent

  Exception-Inhalt.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INVALID_FIELD_CODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DbasInvalidParameterExceptionContent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getFieldCode()` Eindeutige Id des Datenfeldes, auf das sich die Fehlermeldung bezieht.
    `Boolean` | `getFieldCodeSet()` Gibt an, ob `fieldCode` einen gültigen Wert enthält.
    `void` | `setFieldCode(Integer fieldCode)` Setzt die Id des Datenfeldes (siehe `DbasInvalidParameterExceptionContent.getFieldCode()`).
    `void` | `setFieldCodeSet(Boolean fieldCodeSet)`

    - ### Methods inherited from class at.chipkarte.client.base.soap.exceptions.BaseExceptionContent

      `getCode, getErrorCode, getMessage, setCode, setErrorCode, setMessage`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_FIELD_CODE

          public static final int INVALID_FIELD_CODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DbasInvalidParameterExceptionContent

          public DbasInvalidParameterExceptionContent()

  - ### Method Detail

    - #### getFieldCode

          public Integer getFieldCode()

      Eindeutige Id des Datenfeldes, auf das sich die Fehlermeldung bezieht. Diese Id scheint in der Dokumentation der Datenstrukturen bei den Zugriffsfunktionen als ParameterID auf. Falls sich die Fehlermeldung auf mehrere Datenfelder bezieht, enthält dieses Feld einen ungültigen Wert. Ob die Id gültig ist, kann mit `isFieldCodeSet()` festgestellt werden.
      Returns:
        - Id des Datenfelds.

    - #### setFieldCode

          public void setFieldCode(Integer fieldCode)

      Setzt die Id des Datenfeldes (siehe `DbasInvalidParameterExceptionContent.getFieldCode()`).
      Parameters:
        `fieldCode` - - Id des Datenfeldes

    - #### getFieldCodeSet

          public Boolean getFieldCodeSet()

      Gibt an, ob `fieldCode` einen gültigen Wert enthält.
      Returns:
        `true` falls `fieldCode` gültig ist; andernfalls `false`.

    - #### setFieldCodeSet

          public void setFieldCodeSet(Boolean fieldCodeSet)